You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@mxnet.apache.org by ma...@apache.org on 2018/11/15 22:07:36 UTC

[incubator-mxnet] branch master updated: Force APT cache update before executing install (#13285)

This is an automated email from the ASF dual-hosted git repository.

marcoabreu pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-mxnet.git


The following commit(s) were added to refs/heads/master by this push:
     new 226f9cb  Force APT cache update before executing install (#13285)
226f9cb is described below

commit 226f9cbed04269c1233c8f4b3ae95d8ec15a8126
Author: Marco de Abreu <ma...@users.noreply.github.com>
AuthorDate: Thu Nov 15 23:07:23 2018 +0100

    Force APT cache update before executing install (#13285)
---
 ci/docker/install/ubuntu_caffe.sh         | 1 +
 ci/docker/install/ubuntu_clang.sh         | 2 ++
 ci/docker/install/ubuntu_core.sh          | 2 +-
 ci/docker/install/ubuntu_docs.sh          | 1 +
 ci/docker/install/ubuntu_emscripten.sh    | 1 +
 ci/docker/install/ubuntu_gcc8.sh          | 2 +-
 ci/docker/install/ubuntu_llvm.sh          | 3 ++-
 ci/docker/install/ubuntu_nightly_tests.sh | 2 +-
 ci/docker/install/ubuntu_npm_blc.sh       | 2 +-
 ci/docker/install/ubuntu_nvidia.sh        | 1 +
 ci/docker/install/ubuntu_onnx.sh          | 1 +
 ci/docker/install/ubuntu_perl.sh          | 1 +
 ci/docker/install/ubuntu_python.sh        | 1 +
 ci/docker/install/ubuntu_r.sh             | 2 +-
 ci/docker/install/ubuntu_rat.sh           | 2 +-
 ci/docker/install/ubuntu_scala.sh         | 6 ++++--
 ci/docker/install/ubuntu_tutorials.sh     | 1 +
 17 files changed, 22 insertions(+), 9 deletions(-)

diff --git a/ci/docker/install/ubuntu_caffe.sh b/ci/docker/install/ubuntu_caffe.sh
index 8c13612..eaa8ab9 100755
--- a/ci/docker/install/ubuntu_caffe.sh
+++ b/ci/docker/install/ubuntu_caffe.sh
@@ -18,6 +18,7 @@
 # under the License.
 set -ex
 
+apt-get update || true
 apt-get install -y \
     libgflags-dev \
     libgoogle-glog-dev \
diff --git a/ci/docker/install/ubuntu_clang.sh b/ci/docker/install/ubuntu_clang.sh
index cb0f234..19aada9 100755
--- a/ci/docker/install/ubuntu_clang.sh
+++ b/ci/docker/install/ubuntu_clang.sh
@@ -21,6 +21,8 @@
 # the whole docker cache for the image
 
 set -ex
+
+apt-get update || true
 # Install clang 3.9 (the same version as in XCode 8.*) and 6.0 (latest major release)
 wget -O - http://apt.llvm.org/llvm-snapshot.gpg.key | apt-key add - && \
     apt-add-repository "deb http://apt.llvm.org/xenial/ llvm-toolchain-xenial-3.9 main" && \
diff --git a/ci/docker/install/ubuntu_core.sh b/ci/docker/install/ubuntu_core.sh
index 8a2ea30..64f8af3 100755
--- a/ci/docker/install/ubuntu_core.sh
+++ b/ci/docker/install/ubuntu_core.sh
@@ -21,7 +21,7 @@
 # the whole docker cache for the image
 
 set -ex
-apt-get update
+apt-get update || true
 apt-get install -y \
     apt-transport-https \
     build-essential \
diff --git a/ci/docker/install/ubuntu_docs.sh b/ci/docker/install/ubuntu_docs.sh
index a709b3d..5dc201c 100755
--- a/ci/docker/install/ubuntu_docs.sh
+++ b/ci/docker/install/ubuntu_docs.sh
@@ -23,6 +23,7 @@
 set -ex
 # Install dependencies
 echo 'Installing dependencies...'
+apt-get update || true
 apt-get install -y \
     doxygen \
     pandoc
diff --git a/ci/docker/install/ubuntu_emscripten.sh b/ci/docker/install/ubuntu_emscripten.sh
index e3d72ca..28ede75 100755
--- a/ci/docker/install/ubuntu_emscripten.sh
+++ b/ci/docker/install/ubuntu_emscripten.sh
@@ -25,6 +25,7 @@
 
 set -ex
 
+apt-get update || true
 apt-get -y install nodejs
 
 git clone -b 1.38.6 https://github.com/kripken/emscripten.git
diff --git a/ci/docker/install/ubuntu_gcc8.sh b/ci/docker/install/ubuntu_gcc8.sh
index 0a9dc60..cd31f82 100755
--- a/ci/docker/install/ubuntu_gcc8.sh
+++ b/ci/docker/install/ubuntu_gcc8.sh
@@ -19,5 +19,5 @@
 
 sudo add-apt-repository ppa:jonathonf/gcc-8.0
 sudo add-apt-repository ppa:jonathonf/gcc-7.3
-sudo apt-get update
+sudo apt-get update || true
 sudo apt-get install -y gcc-8 g++-8
diff --git a/ci/docker/install/ubuntu_llvm.sh b/ci/docker/install/ubuntu_llvm.sh
index 09e13d3..afd881e 100755
--- a/ci/docker/install/ubuntu_llvm.sh
+++ b/ci/docker/install/ubuntu_llvm.sh
@@ -23,4 +23,5 @@ echo deb-src http://apt.llvm.org/xenial/ llvm-toolchain-xenial-5.0 main\
      >> /etc/apt/sources.list.d/llvm.list
 
 wget -O - http://apt.llvm.org/llvm-snapshot.gpg.key|sudo apt-key add -
-apt-get update && apt-get install -y --force-yes llvm-5.0
\ No newline at end of file
+apt-get update || true
+apt-get install -y --force-yes llvm-5.0
diff --git a/ci/docker/install/ubuntu_nightly_tests.sh b/ci/docker/install/ubuntu_nightly_tests.sh
index 406985e..80028d8 100755
--- a/ci/docker/install/ubuntu_nightly_tests.sh
+++ b/ci/docker/install/ubuntu_nightly_tests.sh
@@ -25,7 +25,7 @@ set -ex
 # Adding ppas frequently fails due to busy gpg servers, retry 5 times with 5 minute delays.
 for i in 1 2 3 4 5; do add-apt-repository -y ppa:ubuntu-toolchain-r/test && break || sleep 300; done
 
-apt-get update
+apt-get update || true
 apt-get -y install time
 
 # Install for RAT License Check Nightly Test
diff --git a/ci/docker/install/ubuntu_npm_blc.sh b/ci/docker/install/ubuntu_npm_blc.sh
index 30fcb5a..59caa9f 100755
--- a/ci/docker/install/ubuntu_npm_blc.sh
+++ b/ci/docker/install/ubuntu_npm_blc.sh
@@ -22,7 +22,7 @@
 
 set -ex
 echo 'Installing npm...'
-apt-get update
+apt-get update || true
 apt-get install -y npm
 
 echo "Obtaining NodeJS version 8.x"
diff --git a/ci/docker/install/ubuntu_nvidia.sh b/ci/docker/install/ubuntu_nvidia.sh
index 7b16ed1..3d8de9d 100755
--- a/ci/docker/install/ubuntu_nvidia.sh
+++ b/ci/docker/install/ubuntu_nvidia.sh
@@ -18,6 +18,7 @@
 # under the License.
 
 set -ex
+apt-get update || true
 apt install -y software-properties-common
 
 # Adding ppas frequently fails due to busy gpg servers, retry 5 times with 5 minute delays.
diff --git a/ci/docker/install/ubuntu_onnx.sh b/ci/docker/install/ubuntu_onnx.sh
index 329352e..0dad3f9 100755
--- a/ci/docker/install/ubuntu_onnx.sh
+++ b/ci/docker/install/ubuntu_onnx.sh
@@ -27,6 +27,7 @@ set -e
 set -x
 
 echo "Installing libprotobuf-dev and protobuf-compiler ..."
+apt-get update || true
 apt-get install -y libprotobuf-dev protobuf-compiler
 
 echo "Installing pytest, pytest-cov, protobuf, Pillow, ONNX and tabulate ..."
diff --git a/ci/docker/install/ubuntu_perl.sh b/ci/docker/install/ubuntu_perl.sh
index 4d868f7..e04141e 100755
--- a/ci/docker/install/ubuntu_perl.sh
+++ b/ci/docker/install/ubuntu_perl.sh
@@ -22,5 +22,6 @@
 
 set -ex
 # install libraries for mxnet's perl package on ubuntu
+apt-get update || true
 apt-get install -y libmouse-perl pdl cpanminus swig libgraphviz-perl
 cpanm -q Function::Parameters Hash::Ordered PDL::CCS
diff --git a/ci/docker/install/ubuntu_python.sh b/ci/docker/install/ubuntu_python.sh
index d6e66aa..ee05058 100755
--- a/ci/docker/install/ubuntu_python.sh
+++ b/ci/docker/install/ubuntu_python.sh
@@ -22,6 +22,7 @@
 
 set -ex
 # install libraries for mxnet's python package on ubuntu
+apt-get update || true
 apt-get install -y python-dev python3-dev virtualenv wget
 
 # the version of the pip shipped with ubuntu may be too lower, install a recent version here
diff --git a/ci/docker/install/ubuntu_r.sh b/ci/docker/install/ubuntu_r.sh
index 0e95601..cefc417 100755
--- a/ci/docker/install/ubuntu_r.sh
+++ b/ci/docker/install/ubuntu_r.sh
@@ -34,7 +34,7 @@ apt-key add r.gpg
 # Installing the latest version (3.3+) that is compatible with MXNet
 add-apt-repository 'deb [arch=amd64,i386] https://cran.rstudio.com/bin/linux/ubuntu xenial/'
 
-apt-get update
+apt-get update || true
 apt-get install -y --allow-unauthenticated \
     libcairo2-dev \
     libssl-dev \
diff --git a/ci/docker/install/ubuntu_rat.sh b/ci/docker/install/ubuntu_rat.sh
index b131a0b..2c905fc 100755
--- a/ci/docker/install/ubuntu_rat.sh
+++ b/ci/docker/install/ubuntu_rat.sh
@@ -20,7 +20,7 @@
 set -ex
 
 echo "Install dependencies"
-apt-get update
+apt-get update || true
 apt-get install -y subversion maven openjdk-8-jdk openjdk-8-jre
 
 echo "download RAT"
diff --git a/ci/docker/install/ubuntu_scala.sh b/ci/docker/install/ubuntu_scala.sh
index bee0e6b..c71c751 100755
--- a/ci/docker/install/ubuntu_scala.sh
+++ b/ci/docker/install/ubuntu_scala.sh
@@ -24,8 +24,9 @@ set -ex
 cd "$(dirname "$0")"
 # install libraries for mxnet's scala package on ubuntu
 echo 'Installing Scala...'
+apt-get update || true
 apt-get install -y software-properties-common
-apt-get update
+apt-get update || true
 apt-get install -y openjdk-8-jdk
 apt-get install -y openjdk-8-jre
 
@@ -34,7 +35,8 @@ echo "deb https://dl.bintray.com/sbt/debian /" | tee -a /etc/apt/sources.list.d/
 #apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv 2EE0EA64E40A89B84B2DF73499E82A75642AC823
 #apt-key adv --keyserver keys.gnupg.net --recv 2EE0EA64E40A89B84B2DF73499E82A75642AC823
 apt-key add sbt.gpg
-apt-get update && apt-get install -y \
+apt-get update || true
+apt-get install -y \
     maven \
     sbt \
     scala
diff --git a/ci/docker/install/ubuntu_tutorials.sh b/ci/docker/install/ubuntu_tutorials.sh
index 9a236bb..9877475 100755
--- a/ci/docker/install/ubuntu_tutorials.sh
+++ b/ci/docker/install/ubuntu_tutorials.sh
@@ -21,6 +21,7 @@
 # the whole docker cache for the image
 
 set -ex
+apt-get update || true
 apt-get install graphviz python-opencv
 pip2 install jupyter matplotlib Pillow opencv-python scikit-learn graphviz tqdm
 pip3 install jupyter matplotlib Pillow opencv-python scikit-learn graphviz tqdm